package com.atlassian.bitbucket.mesh.git.fetch;

import com.atlassian.bitbucket.mesh.git.ref.RefUpdate;
import com.atlassian.bitbucket.mesh.process.ProcessSummary;

import javax.annotation.Nonnull;

public interface FetchCallback {

    default void onEnd(@Nonnull ProcessSummary summary) {
    }

    default void onFailedUpdate(@Nonnull String refId) {
        // do nothing
    }

    void onRefUpdate(@Nonnull RefUpdate refUpdate);

    default void onStart() {
    }
}
